import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface ShapeModel {
    note: {
        margins?: {
            insetmode?: string;
            inset?: number[];
        };
    };
    refAddress?: any;
}
declare class VmlShapeXform extends BaseXform {
    map: {
        [key: string]: any;
    };
    parser: any;
    model: any;
    constructor();
    get tag(): string;
    render(xmlStream: any, model: ShapeModel, index?: number): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    static V_SHAPE_ATTRIBUTES: (model: ShapeModel, index: number) => any;
}
export { VmlShapeXform };
